import { LoadableIconProps } from ".";
/**
 * Component fetches icons from three types of sources:
 *
 * 1. Absolute URL: It is for fetching from static paths of icons available in armco's static server
 * 2. http or https: As obvious, it is to fetch svg from any publicly available URL that doesn't directly return
 *    renderable content but needs to be processed (else we could directly pass such urls to img src)
 * 3. Primary usage is for fetching react icons that have a category and name in the format gr.GrStatusPlaceholder
 *
 * This component takes care of duplicate API calls by caching icons even if multiple instances of same icon are rendered
 * Futher changes to icon like size and color also don't need API calls and changes are handled by this component
 *
 * @param props
 * @returns JSX: img containing processed svg
 */
declare const LoadableIcon: (props: LoadableIconProps) => import("react/jsx-runtime").JSX.Element | null;
export default LoadableIcon;
