/// <reference types="react" />
import { ThunkAction, Action, PayloadAction } from "@reduxjs/toolkit";
import { AlertProps, DrawerProps, ModalProps } from "./types/components.interface";
import { User } from "./types/entity.interface";
import { ObjectType } from "./types/types";
export interface GlobalState {
    iconFactory: {
        [key: string]: string;
    };
    isLoggedIn?: boolean;
    modalState?: ModalProps;
    notification?: AlertProps;
    rightPanelContent?: {
        name?: string;
        props?: ObjectType;
        component?: JSX.Element | null;
    };
    leftPanelContent?: {
        name?: string;
        props?: ObjectType;
        component?: JSX.Element | null;
    };
    user?: User;
    drawerState: DrawerProps;
    theme: string;
}
export declare const globalSlice: import("@reduxjs/toolkit").Slice<GlobalState, {
    notify: (state: import("immer/dist/internal").WritableDraft<GlobalState>, action: PayloadAction<AlertProps>) => void;
    setLoggedIn: (state: import("immer/dist/internal").WritableDraft<GlobalState>, action: PayloadAction<boolean>) => void;
    setUser: (state: import("immer/dist/internal").WritableDraft<GlobalState>, action: PayloadAction<User>) => void;
    setRightPanelContent: (state: import("immer/dist/internal").WritableDraft<GlobalState>, action: PayloadAction<{
        name?: string;
        props?: ObjectType;
        component?: JSX.Element | null;
    }>) => void;
    setLeftPanelContent: (state: import("immer/dist/internal").WritableDraft<GlobalState>, action: PayloadAction<{
        name?: string;
        props?: ObjectType;
        component?: JSX.Element | null;
    }>) => void;
    saveIconToFactory: (state: import("immer/dist/internal").WritableDraft<GlobalState>, action: {
        payload: {
            [key: string]: string;
        };
        type: string;
    }) => void;
    setModalState: (state: import("immer/dist/internal").WritableDraft<GlobalState>, action: PayloadAction<ModalProps>) => void;
    setDrawerState: (state: import("immer/dist/internal").WritableDraft<GlobalState>, action: PayloadAction<DrawerProps>) => void;
    setTheme: (state: import("immer/dist/internal").WritableDraft<GlobalState>, action: PayloadAction<string>) => void;
}, "globalSlice">;
export declare const notify: import("@reduxjs/toolkit").ActionCreatorWithPayload<AlertProps, "globalSlice/notify">, setLoggedIn: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, "globalSlice/setLoggedIn">, setModalState: import("@reduxjs/toolkit").ActionCreatorWithPayload<ModalProps, "globalSlice/setModalState">, setUser: import("@reduxjs/toolkit").ActionCreatorWithPayload<User, "globalSlice/setUser">, setRightPanelContent: import("@reduxjs/toolkit").ActionCreatorWithPayload<{
    name?: string | undefined;
    props?: ObjectType | undefined;
    component?: JSX.Element | null | undefined;
}, "globalSlice/setRightPanelContent">, setLeftPanelContent: import("@reduxjs/toolkit").ActionCreatorWithPayload<{
    name?: string | undefined;
    props?: ObjectType | undefined;
    component?: JSX.Element | null | undefined;
}, "globalSlice/setLeftPanelContent">, saveIconToFactory: import("@reduxjs/toolkit").ActionCreatorWithPayload<{
    [key: string]: string;
}, "globalSlice/saveIconToFactory">, setDrawerState: import("@reduxjs/toolkit").ActionCreatorWithPayload<DrawerProps, "globalSlice/setDrawerState">, setTheme: import("@reduxjs/toolkit").ActionCreatorWithPayload<string, "globalSlice/setTheme">;
export declare const getLoggedIn: (state: RootState) => boolean | undefined;
export declare const getModalState: (state: RootState) => ModalProps | undefined;
export declare const getDrawerState: (state: RootState) => DrawerProps;
export declare const getCurrentTheme: (state: RootState) => string;
export declare const getRightPanelContent: (state: RootState) => {
    name?: string | undefined;
    props?: ObjectType | undefined;
    component?: JSX.Element | null | undefined;
} | undefined;
export declare const getLeftPanelContent: (state: RootState) => {
    name?: string | undefined;
    props?: ObjectType | undefined;
    component?: JSX.Element | null | undefined;
} | undefined;
export declare const getUser: (state: RootState) => User | undefined;
export declare const getIconByKey: (iconKey: string) => ((state: {
    root: GlobalState;
}) => string) & import("reselect").OutputSelectorFields<(args_0: GlobalState) => string, {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const notification: (state: RootState) => AlertProps | undefined;
export declare const store: import("@reduxjs/toolkit/dist/configureStore").ToolkitStore<{
    root: GlobalState;
}, import("redux").AnyAction, [import("@reduxjs/toolkit").ThunkMiddleware<{
    root: GlobalState;
}, import("redux").AnyAction>]>;
export type AppDispatch = typeof store.dispatch;
export type RootState = ReturnType<typeof store.getState>;
export type AppThunk<ReturnType = void> = ThunkAction<ReturnType, RootState, unknown, Action<string>>;
