/// <reference types="react" />
import { Moment } from "moment";
import { CarouselProps } from "./components.interface";
import { AnimationHandlerResponse } from "./entity.interface";
import { CarouselState } from "../Carousel";
export type ObjectType = {
    [key: string]: string | Date | number | boolean | null | undefined | ObjectType | ArrayType | FunctionType;
};
export type FunctionType = (...args: Array<any>) => any;
export type ArrayType = Array<string | number | boolean | Moment | ObjectType>;
export type GenericObject<T> = {
    [key: string]: T;
};
export type STATES = "verified" | "underreview" | "deprecated";
export type NSStates = "draft-new" | "draft-edited" | "committed";
export type SCOPES = "public" | "private" | "org";
export type PRIMITIVES = "string" | "number" | "boolean";
export type AnimationHandler = (props: CarouselProps, state: CarouselState) => AnimationHandlerResponse;
export type SwipeAnimationHandler = (delta: {
    x: number;
    y: number;
}, props: CarouselProps, state: CarouselState, setState: Function) => AnimationHandlerResponse;
export type StopSwipingHandler = (props: CarouselProps, state: CarouselState) => AnimationHandlerResponse;
export type DateFormat = `${string}/${string}/${string}` | `${string}-${string}-${string}` | `${string}.${string}.${string}`;
export type CheckBoxTypes = "TOGGLE" | "CHECKBOX";
export type Directions = "left" | "right" | "top" | "bottom";
export type ComponentRepository = {
    [key: string]: React.ComponentType<any>;
};
export type LibRepoType = {
    [key: string]: JSX.ElementType;
};
