import { ArDateMasks } from "../types/enums";
/**
 * @param {string | number | Date} date
 * @param {string} mask
 * @param {boolean} utc
 * @param {boolean} gmt
 */
export default function dateFormat(date?: number | Date, mask?: ArDateMasks | string, utc?: boolean, gmt?: boolean): string;
export declare let i18n: {
    dayNames: string[];
    monthNames: string[];
    timeNames: string[];
};
/**
 * Get proper timezone abbreviation or timezone offset.
 *
 * This will fall back to `GMT+xxxx` if it does not recognize the
 * timezone within the `timezone` RegEx above. Currently only common
 * American and Australian timezone abbreviations are supported.
 *
 * @param  {String | Date} date
 * @return {String}
 */
export declare const formatTimezone: (date: Date) => string | undefined;
