import { Children as b } from "react";
import p from "./helper.js";
import "./dateformat.js";
import "./adapters.js";
import { ArPopoverPositions as h } from "../types/enums.js";
import "../config/constants.js";
import "../transform-df96e507.js";
import "react/jsx-runtime";
import "./recursionHelper.js";
import "../v4-333bbb31.js";
import "../config/api-config.js";
const w = new DOMParser(), c = class a {
  static implementSvgStyles(t, e, i) {
    const { size: n, classes: r, color: s, fillColor: o, strokeColor: f, strokeWidth: u } = e || {}, [g] = i || [];
    let m = null;
    r && (m = p.getStylesFromClass(r), m = Object.entries(m || {}).map(([S, T]) => `${S}: ${T}`).join("; ")), t.setAttribute("height", n || "1rem"), t.setAttribute("width", n || "1rem"), t.setAttribute("class", r || ""), t.setAttribute("style", m || ""), t.setAttribute("stroke", f || s || "black"), u ? t.setAttribute("stroke-width", u) : f && t.setAttribute("stroke-width", "1");
    let l = t.querySelectorAll("path");
    return l.length === 1 && !g && (l = l[0], l && s && l.getAttribute("stroke") && l.setAttribute("stroke", f || s), l && u && l.getAttribute("stroke-width") && l.setAttribute("stroke-width", u), l && s && l.getAttribute("fill") && l.setAttribute("fill", o || s)), t.style.color = s || "black", t;
  }
  static svgStringToBase64(t, e, i) {
    const n = d.svgStringToElement(t);
    return n && d.svgToBase64(n, e, i);
  }
  static svgStringToElement(t) {
    return w.parseFromString(t, "image/svg+xml").querySelector("svg");
  }
  static svgToBase64(t, e, i) {
    if (t && typeof t == "string" && (t = d.svgStringToElement(t)), t) {
      t = d.implementSvgStyles(t, e, i);
      const n = new XMLSerializer().serializeToString(t);
      return btoa(n);
    }
    return "";
  }
  static outerWidth(t) {
    let e = t.offsetWidth;
    const i = getComputedStyle(t);
    return e += parseInt(i.marginLeft) + parseInt(i.marginRight), e;
  }
  static translate(t, e, i) {
    const n = t === 0 ? t : t + e, r = i === "horizontal" ? [n, 0, 0] : [0, n, 0], s = "translate3d", o = "(" + r.join(",") + ")";
    return s + o;
  }
  static hexToHsl(t, e) {
    const [i, n, r] = d.hexToRgb(t);
    return d.rgbToHsl(i, n, r, e);
  }
  static hexToRgb(t) {
    const e = parseInt(t.substring(1, 3), 16), i = parseInt(t.substring(3, 5), 16), n = parseInt(t.substring(5, 7), 16);
    return [e, i, n];
  }
  /**
   * Converts an RGB color value to HSL. Conversion formula
   * adapted from http://en.wikipedia.org/wiki/HSL_color_space.
   * Assumes r, g, and b are contained in the set [0, 255] and
   * returns h, s, and l in the set [0, 1].
   *
   * @param   Number  r       The red color value
   * @param   Number  g       The green color value
   * @param   Number  b       The blue color value
   * @return  Array           The HSL representation
   */
  static rgbToHsl(t, e, i, n) {
    t /= 255, e /= 255, i /= 255;
    const r = Math.max(t, e, i), s = Math.min(t, e, i);
    let o, f, u = (r + s) / 2;
    if (r === s)
      o = f = 0;
    else {
      const m = r - s;
      switch (f = u > 0.5 ? m / (2 - r - s) : m / (r + s), r) {
        case t:
          o = (e - i) / m + (e < i ? 6 : 0);
          break;
        case e:
          o = (i - t) / m + 2;
          break;
        case i:
          o = (t - e) / m + 4;
          break;
      }
      o /= 6;
    }
    const g = "hsl(" + o + ", " + f + "%, " + u + "%)";
    return n ? [o, f, u] : g;
  }
  static hslToRgb(t, e, i) {
    let n, r, s, o;
    if (e === 0)
      n = r = s = i;
    else {
      o = (g, m, l) => (l < 0 && (l += 1), l > 1 && (l -= 1), l < 1 / 6 ? g + (m - g) * 6 * l : l < 1 / 2 ? m : l < 2 / 3 ? g + (m - g) * (2 / 3 - l) * 6 : g);
      const f = i < 0.5 ? i * (1 + e) : i + e - i * e, u = 2 * i - f;
      n = o && o(u, f, t + 1 / 3), r = o && o(u, f, t), s = o && o(u, f, t - 1 / 3);
    }
    return [n * 255, r * 255, s * 255];
  }
  static rgbToHex(t, e, i) {
    function n(r) {
      var s = r.toString(16);
      return s.length === 1 ? "0" + s : s;
    }
    return "#" + n(t) + n(e) + n(i);
  }
  static hslToHex(t, e, i) {
    const [n, r, s] = d.hslToRgb(t, e, i);
    return d.rgbToHex(Math.round(n), Math.round(r), Math.round(s));
  }
  static downloadSvg(t, e, i) {
    const n = w.parseFromString(t, "image/svg+xml").querySelector("svg");
    n && (d.implementSvgStyles(n, i), t = n.outerHTML);
    const r = btoa(unescape(encodeURIComponent(t))), s = document.createElement("a"), o = new MouseEvent("click");
    s.download = e + ".svg", s.href = "data:image/svg+xml;base64," + r, s.dispatchEvent(o);
  }
  /**
   * Gets the list 'position' relative to a current index
   * @param index
   */
  static getPosition(t, e) {
    if (e.infiniteLoop && ++t, t === 0)
      return 0;
    const i = b.count(e.children);
    if (e.centerMode && e.axis === "horizontal") {
      let n = -t * e.centerSlidePercentage;
      const r = i - 1;
      return t && (t !== r || e.infiniteLoop) ? n += (100 - e.centerSlidePercentage) / 2 : t === r && (n += 100 - e.centerSlidePercentage), n;
    }
    return -t * 100;
  }
  /**
   * Sets the 'position' transform for sliding animations
   * @param position
   * @param forceReflow
   */
  static setPosition(t, e) {
    const i = {};
    return [
      "WebkitTransform",
      "MozTransform",
      "MsTransform",
      "OTransform",
      "transform",
      "msTransform"
    ].forEach((n) => {
      i[n] = CSSTranslate(t, "%", e);
    }), i;
  }
  static isKeyboardEvent(t) {
    return t ? t.hasOwnProperty("key") : !1;
  }
  static getDocumentElement(t) {
    if (t) {
      const e = document.querySelector(".ar-Editor__frame");
      if (e)
        return e.contentDocument;
    }
    return document;
  }
  static getWindowElement(t) {
    if (t) {
      const e = document.querySelector(".ar-Editor__frame");
      if (e)
        return e.contentWindow;
    }
    return window;
  }
  static shouldUsePosition(t, e, i, n) {
    const r = d.getWindowElement(n) || window;
    if ({
      bottom: e.top + e.height + i.height > r.innerHeight,
      right: e.left + e.width + i.width > r.innerWidth,
      left: e.left - i.width < 0,
      top: e.top - i.height < 0
    }[t])
      return !1;
    if (t === "left" || t === "right") {
      if (a.fontSize > e.top || a.fontSize > e.bottom)
        return !1;
    } else if (a.fontSize > e.left || a.fontSize > e.right)
      return !1;
    return t;
  }
  static adjustPosition(t, e, i, n) {
    const r = {
      [h.BOTTOM]: {
        top: e.top + e.height + (n ? 0 : a.markerSize),
        left: e.left + (e.width - i.width) / 2
      },
      [h.RIGHT]: {
        top: e.top + (e.height - i.height) / 2,
        left: e.left + e.width + (n ? 0 : a.markerSize)
      },
      [h.LEFT]: {
        top: e.top + (e.height - i.height) / 2,
        left: e.left - i.width - (n ? 0 : a.markerSize)
      },
      [h.TOP]: {
        top: e.top - i.height - (n ? 0 : a.markerSize),
        left: e.left + (e.width - i.width) / 2
      }
    };
    let { left: s, top: o } = r[t];
    return t === h.BOTTOM || t === h.TOP ? (s < 0 && (s = a.fontSize), s + i.width > window.innerWidth && (s = `calc(100% - ${i.width}px - ${a.fontSize}px)`)) : (o < 0 && (o = a.fontSize), o + i.height > window.innerHeight && (o = `calc(100% - ${i.height}px - ${a.fontSize}px)`)), { left: s, top: o };
  }
  static getPositionToUse(t, e, i, n) {
    if (i && i !== h.AUTO)
      return i;
    const r = [
      h.BOTTOM,
      h.RIGHT,
      h.LEFT,
      h.TOP
    ];
    for (const s of r)
      if (a.shouldUsePosition(s, t, e, n))
        return s;
    return h.BOTTOM;
  }
  static calculatePopoverPosition(t, e, i, n, r, s) {
    const o = a.getWindowElement(s) || window;
    t = r ? {
      left: r[0],
      x: r[0],
      top: r[1],
      y: r[1],
      height: 0,
      width: 0,
      right: o.screen.width - r[0],
      bottom: o.screen.height - r[1],
      toJSON: () => {
      }
    } : t;
    const f = a.getPositionToUse(
      t,
      e,
      i,
      s
    ), { left: u, top: g } = a.adjustPosition(
      f,
      t,
      e,
      n
    );
    return {
      leftTop: {
        top: ("" + g).startsWith("calc") ? g : g + "px",
        left: ("" + u).startsWith("calc") ? u : u + "px"
      },
      position: f
    };
  }
  static openInNewTab(t) {
    const e = window.open(t, "_blank");
    e != null && e.focus();
  }
};
c.style = window.getComputedStyle(document.documentElement);
c.fontSize = parseFloat(c.style.fontSize);
c.markerSize = 7;
let d = c;
export {
  d as default
};
