import { FunctionType, GridToolbarSpecs, SlotDescriptor } from "../types";
declare class GridHelper {
    static generateGridToolbarSpecs(gridArea: Array<Array<string>>, rowHeight?: Array<string> | string, colWidth?: Array<string> | string): {
        rowTools: {
            slots: {
                slot: string;
                gridArea: string;
                row: number;
                column: number;
                rowSpan: number;
                colSpan: number;
                style: {
                    gridArea: string;
                };
            }[];
            gridTemplate: string;
        };
        colTools: {
            slots: {
                slot: string;
                gridArea: string;
                row: number;
                column: number;
                rowSpan: number;
                colSpan: number;
                style: {
                    gridArea: string;
                };
            }[];
            gridTemplate: string;
        };
    };
    static generateGridAreaAndSizes(slots: Array<SlotDescriptor>, currentRowHeights?: string | Array<string>): {
        gridArea: Array<Array<string>>;
        rowHeights: Array<string>;
    };
    static generateGridTemplate(gridArea: Array<Array<string>>, rowHeight?: Array<string> | string, colWidth?: Array<string> | string): string;
    static mergeHandler(setSlots: FunctionType, slotConfigs: Array<SlotDescriptor>, minMaxSelections: {
        minRow: number;
        maxRow: number;
        minColumn: number;
        maxColumn: number;
    }, primarySlotConfig?: SlotDescriptor): void;
    static splitHandler(setSlots: FunctionType, slotConfigs: Array<SlotDescriptor>, orientation: "horizontal" | "vertical", placement: "before" | "after", slot?: SlotDescriptor): void;
    static removeHandler(slotConfigs: Array<SlotDescriptor>, gridToolbarSpecs: GridToolbarSpecs, type: string, isInlineDelete?: boolean): Array<SlotDescriptor>;
    static checkIfAdjacent(slotConfigs: Array<SlotDescriptor>): {
        areAdjacent: boolean;
        minRow: number;
        maxRow: number;
        minColumn: number;
        maxColumn: number;
    };
    static isSlotSelected(slot: SlotDescriptor, rowSlots: Array<SlotDescriptor>, colSlots: Array<SlotDescriptor>, selectForDelete?: boolean): boolean;
    static selectCellsInSelectedRowCol(gridToolbarSpecs: GridToolbarSpecs, slots: Array<SlotDescriptor>, selectForDelete?: boolean): SlotDescriptor[];
    static countOccurrences(array: Array<string>): {
        slotId: string;
        span: number;
        location: number;
    }[];
    static isIntersecting(toolSlot: SlotDescriptor, slot: SlotDescriptor, isRow: boolean): boolean;
    static findIntersectingSlots(slots: Array<SlotDescriptor>, toolSlot: SlotDescriptor, isRow: boolean): SlotDescriptor[];
    static getCreateOrExtend(slot: SlotDescriptor, selectedToolSlot: SlotDescriptor, placement: "before" | "after", isRow: boolean): boolean;
    static insertDimension(type: "row" | "column", gridToolbarSpecs: GridToolbarSpecs, slots: Array<SlotDescriptor>, setSlots: FunctionType, placement: "before" | "after", selection?: number): void;
    static generateInsertionIndexes(gridToolbarSpecs: GridToolbarSpecs, isRow: boolean, placement: "before" | "after", selection?: number): number[];
    static generateInsertionIndexesForDimension(gridToolbarSpecs: GridToolbarSpecs, tools: "rowTools" | "colTools", dimension: "row" | "column", placement: "before" | "after", isRow: boolean): number[];
    static generateSlots(rows: Array<string>): Array<SlotDescriptor>;
    static generateSlotConfigs(gridTemplate: string): {
        slotConfigs: Array<SlotDescriptor>;
        rowHeights: Array<string>;
        colWidths: Array<string>;
    };
}
export default GridHelper;
